- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::NodeAcceptOp Struct Reference

Convenience functor for assisting visiting of arrays of osg::Node's. More...

List of all members.

## Public Member Functions
| NodeAcceptOp (NodeVisitor &nv)
void | operator() (Node *node)
void | operator() (ref_ptr< Node > node)
## Public Attributes
NodeVisitor & | _nv

## Detailed Description

Convenience functor for assisting visiting of arrays of osg::Node's.

## Constructor & Destructor Documentation

osg::NodeAcceptOp::NodeAcceptOp | ( | NodeVisitor & | nv | ) | `[inline]`

## Member Function Documentation

void osg::NodeAcceptOp::operator() | ( | ref_ptr< Node > | node | ) | `[inline]`

void osg::NodeAcceptOp::operator() | ( | Node * | node | ) | `[inline]`

## Member Data Documentation

NodeVisitor& osg::NodeAcceptOp::_nv

The documentation for this struct was generated from the following file:

- NodeVisitor